@echo off
rem GSWATCH.BAT
rem ------------
rem Batch-Datei zum Rumborak PDF-Writer
rem
rem permanente Verzeichnisberwachung und Erstellung von PDF-Dateien
rem wenn im berwachten Verzeichnis Postscript-Dateien eintreffen
rem Schlechte Alternative zum Acorbat Distiller
rem GoBatchGS ist deutlich komfortabler
rem
rem Version 1.0
rem fr Windows 2000/XP oder 9x/NT (siehe weiter unten)
rem
rem 2004 von Wolfgang Reszel

cls

call variablen.bat

set IN_FOLDER=%RUMBORAK%\in
set OUT_FOLDER=%RUMBORAK%\out
set DEL_OR_MOVE=move
set WATCH_TEMP=%TEMP%\gswatch.tmp

echo Rumborak Verzeichnisberwachung (gsWatch 1.0)
echo =========================================================================
echo Das Verzeichnis %IN_FOLDER% wird stndig auf neue Dateien berwacht.
echo Sobald eine neue Datei gefunden wird, wird automatisch eine PDF-Datei
echo im %OUT_FOLDER% erzeugt.
if %DEL_OR_MOVE%==move echo Die Ursprungsdaten werden darauf von %IN_FOLDER% && echo nach %OUT_FOLDER% verschoben.
if %DEL_OR_MOVE%==del echo Die Ursprungsdaten werden danach gelscht.
echo =========================================================================
echo.
echo *** Verzeichnisberwachung aktiv ...

:LOOP
if NOT exist "%IN_FOLDER%\*.*p*" goto LOOP

echo.
echo *** neue Dateien werden verarbeitet ...
dir /b %IN_FOLDER%\*.* > %WATCH_TEMP%
for /F %%I IN (%WATCH_TEMP%) DO echo %DATE%, %TIME% - %%I && %GS% @%RUMBORAK%\pdf.rsp -sOutputFile="%OUT_FOLDER%\%%~nI.pdf" -dBATCH -c save pop .setpdfwrite -f "%IN_FOLDER%\%%I" > "%IN_FOLDER%\%%~nI.log"
echo.
echo *** Fehlerprotokolle:
for %%I IN ("%IN_FOLDER%\*.log") DO findstr "Error" "%%I" > NUL && IF %ERRORLEVEL%==1 move "%%I" "%OUT_FOLDER%\" && echo %%I
for %%I IN ("%IN_FOLDER%\*.log") DO findstr "can't" "%%I" > NUL && IF %ERRORLEVEL%==1 move "%%I" "%OUT_FOLDER%\" && echo %%I
IF EXIST "%IN_FOLDER%\*.log" del /Q "%IN_FOLDER%\*.log"
if %DEL_OR_MOVE%==move for /F %%I IN (%WATCH_TEMP%) DO move "%IN_FOLDER%\%%I" "%OUT_FOLDER%\"
if %DEL_OR_MOVE%==del for /F %%I IN (%WATCH_TEMP%) DO del "%IN_FOLDER%\%%I"
echo.
echo *** Durchlauf beendet
echo -------------------------------------------------------------------------
goto LOOP
